The attachments on the register that fit this machine
curl --request GET \
--url https://api.truckaurbus.com/v1/machines/{slug}/attachmentsimport requests
url = "https://api.truckaurbus.com/v1/machines/{slug}/attachments"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://api.truckaurbus.com/v1/machines/{slug}/attachments', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
[
{
"id": 123,
"kind": "<string>",
"lifecycle": "<string>",
"manufacturer": {
"name": "<string>",
"slug": "<string>"
},
"name": "<string>",
"slug": "<string>",
"capacity_m3": 123,
"carrier_max_kg": 123,
"carrier_min_kg": 123,
"family": "<string>",
"fits_classes": [],
"flow_lpm": 123,
"image": "<string>",
"impact_energy_j": 123,
"pressure_bar": 123,
"price_as_of": "2023-12-25",
"price_high_inr": 123,
"price_inr": 123,
"price_kind": "<string>",
"published_at": "2023-12-25",
"verified_at": "2023-12-25",
"weight_kg": 123,
"width_mm": 123
}
]v1
The attachments on the register that fit this machine
GET
/
v1
/
machines
/
{slug}
/
attachments
The attachments on the register that fit this machine
Path Parameters
Response
200 - application/json
OK
Show child attributes
Show child attributes

